Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.or
Interface ObjectRenderer

All Known Implementing Classes:
  ThreadGroupRenderer, MessageRenderer, AttributesRenderer

public interface ObjectRenderer

Implement this interface in order to render objects as strings.

Since:
  1.0
Author:
  Ceki Gülcü

Method Summary
`String` | `doRender(Object o)` Render the object passed as parameter as a String.

Method Detail

### doRender

    public String doRender(Object o)

  Render the object passed as parameter as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.